For the complete documentation index, see llms.txt. This page is also available as Markdown.

Billing

Generates a billing for a given service and a given timeframe

get

A billing is created using MathPath=/

Authorizations
OAuth2applicationRequired
Token URL:
Path parameters
serviceIdanyRequired

serviceId

Query parameters
startTimestampanyOptional

start time range, unix timestamp, default 24 hours ago

endTimestampanyOptional

end time range, unix timestamp, default now

Responses
200

OK

application/json
endTimestringOptional
startTimestringOptional
get/service/{serviceId}/billing
GET /api/service/{serviceId}/billing HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "endTime": "text",
  "regions": [
    {
      "billingTemplate": {
        "id": 2,
        "pricePerGbit": 0.09,
        "region": "nlrtm1"
      },
      "cost": 1,
      "name": "text",
      "requests": 1,
      "tx": 1,
      "txGbit": 1
    }
  ],
  "startTime": "text",
  "totals": {
    "cost": 1,
    "requests": 1,
    "tx": 1,
    "txGbit": 1
  },
  "vhost": {
    "BillingTemplateId": 12314,
    "clientId": "12345",
    "dns": "cdn.i3d.net",
    "enabled": true,
    "hash": "JJUSMXH",
    "name": "VHost name",
    "originId": 12314,
    "path": "/o1/cdn"
  }
}

Last updated

Was this helpful?